<!DOCTYPE html>
<html>
    <head>
        <title>{{TodoList.name}}</title>
    </head>
    <body>
        <header>
        </header>
        <main>
            <h1>{{ todolist.name }}</h1>
            <a href="{% url 'todos_list' %}">Back to list</a>
            <a href="{% url 'todos_edit' todolist.id %}">Edit</a>
            <a href="{% url 'todos_delete' todolist.id %}">Delete</a>
            <div>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            {% comment %} for modelname2 in modelname1.modelname2relatedname.all {% endcomment %}
                            {% for todoitem in todolist.items.all %}
                                <td>
                                <a href="{% url 'todoitem_edit' todoitem.id %}">{{ todoitem.task }}</a>
                                </td>
                                <td>
                                    {{ todoitem.due_date }}
                                </td>
                            {% comment %} {% for banana in todos_detail_view %}
                                {{ banana.task }}
                                {% for banana2 in banana.items.all %}
                                    {{ banana2 }}
                                {% endfor %} {% endcomment %}
                            {% endfor %}

                        </tr>
                    </tobdy>
                </table>
            </div>
        </main>
        <footer>
        </footer>
    </body>
</html>
